import click
from datetime import date
from workalendar import america


vencimentos = {
    "d": date(2021, 4, 19),
    "e": date(2021, 5, 21),
    "f": date(2021, 6, 18),
}


def theta(ve, serie):
    """Calcula o theta."""
    return round(ve / dias(serie), 2)


def dias(serie):
    """Calcula os dias úteis até o vencimento."""
    hoje = date.today()
    vencto = vencimentos[serie]
    cal = america.Brazil()
    return cal.get_working_days_delta(hoje, vencto) - 1


@click.command()
@click.argument("ve", type=float)
@click.argument("serie")
def cli(ve, serie):
    """Calcula o theta da opcao."""
    click.echo("%.2f" % theta(ve, serie))
    return 0


@click.command()
@click.argument("serie")
def tt_dias(serie):
    click.echo("%i" % dias(serie))
    return 0


if __name__ == "__main__":
    cli()
